Test out
Returns the testOut lesson reference for the given student and course.
- TestOut is a lesson that represents the end-of-course test, covering the entire course content.
- The testOut should be specified by a Resource with metadata.lessonType = “test-out”.
Details:
- Returns a null lessonId in case no Resource with metadata.lessonType = “test-out” is found in the course.
- In case student has already taken the TestOut, this will return the “finalized” flag set to true.
- In case this is an external TestOut, also return external access credentials, if available (i.e. test was previously assigned to student).
A ‘Lesson’ in this context is a ComponentResource object which has a Resource object with metadata.lessonType = “test-out” associated with it.
Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The sourcedId of the student to retrieve the testOut for
The sourcedId of the Course to retrieve the testOut from
Response
Success
Holds the id of the TestOut lesson (ComponentResource), or its results in case it was previously attempted
"test-out"The id of the testOut lesson
Whether the Test Out has been finalized in the current attempt
The tool provider for the testOut lesson
The attempt number
The credentials for accessing the assigned test on external tool
The id of the assignment on external tool for results retrieval
The id of the class on external tool for results retrieval (may be empty for some tools)
The URL of the test on external tool
The id of the test on external tool (may be assignment ID for some tools)